.Blockchain {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    background-image: url("../images/17580.jpg");
    background-repeat: no-repeat;
    background-size: cover;
}

#blockchain-content {
    margin: 70px auto;
    text-align: center;
}

.hash-text {
    word-wrap: break-word;
    display: block;
    height: inherit;
    font-size: 14px;
    padding: 0 5px;
    text-transform: uppercase;
    text-align: justify;
}

.prev-hash {
    height: 80px;
}

.Block-very-small-title {
    margin-bottom: 10%;
}

#Block-1, #Block-2, #Block-3 {
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    border: ghostwhite 2px solid;
    border-radius: 6px;
    width: 360px;
    height: 470px;
    position: relative;
    display: inline-block;
    vertical-align: top;
    margin-top: 130px;
}

#Block-4 {
    border: 1px solid black;
    width: 350px;
    height: 600px;
    vertical-align: top;
    display: inline-block;
    position: absolute;
    margin-top: 80px;
    opacity: 0;
}

#Block-2, #Block-3 {
    margin-left: 140px;
}

#Block-4 {
    opacity: 0;
}

.Block-title {
    padding: 10px 0 10px 0;
    margin: 0;
    text-align: center;
    font-weight: bold;
}

.Block-small-title {
    margin: 0;
    text-align: center;
    font-weight: bold;
}

.Block-timestamp {
    padding: 0 0 5px 0;
    text-align: center;
    border-bottom: 1px solid rgba(0,0,0,0.3);
    margin-bottom: 5px;
}

.previous-hash-title {
    margin-top: 10px;
}

.data {
    text-align: center;
}

.Block-secure {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.image-size {
    width: 25px;
    height: 25px;
}

.centered-text {
    text-align: center;
    margin-top: 5px;
}

@media screen and (max-width: 1361px) {
    #Block-2, #Block-3 {
        margin-left: 50px;
    }

}

@media screen and (max-width: 1179px) {
    .Blockchain {
        height: fit-content;
    }

    #Block-3 {
        left: -25px;
    }
}

@media screen and (max-width: 950px) {
    #blockchain-content {
        margin-top: 170px;
    }
}

@media screen and (max-width: 786px) {
    #blockchain-content {
        margin-top: 0;
    }

    #Block-2 {
        right: 27px;
    }
}
